<?php
class Vozac1 extends Doctrine_Record {
        // Preklopljena metoda za definisanje tabele
        public function setTableDefinition() {
        // Setovanje imena tabele u relacionoj bazi
        $this->setTableName('vozac');
        // Setovanje kolona sa nazivom, tipom i duzinom
        $this->hasColumn('ime', 'string', 20);
        $this->hasColumn('prezime', 'string', 20);
        $this->hasColumn('adresa', 'string', 30);
    }

    // Inicijalizacija tabele
        public function setUp() {
        // Svakom slogu se dodaje polje za vreme modifikacije
        $this->actAs('Timestampable');
        // definisanje relacije prema tabeli Pitanje
        $this->hasMany('Automobil1', array('local' => 'id', 'foreign' => 'vozac_id'));
    }
}

?>
